"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const eslint_js_1 = __importDefault(require("./eslint_js"));
const eslint_ts_1 = __importDefault(require("./eslint_ts"));
const eslint_babel_1 = __importDefault(require("./eslint_babel"));
const eslint_prettier_js_1 = __importDefault(require("./eslint_prettier_js"));
const eslint_prettier_ts_1 = __importDefault(require("./eslint_prettier_ts"));
const eslint_prettier_babel_1 = __importDefault(require("./eslint_prettier_babel"));
const index_airbnb_1 = require("./airbnb/index.airbnb");
const index_google_1 = require("./google/index.google");
const index_standard_1 = require("./standard/index.standard");
const esLint = {
    airBnb: index_airbnb_1.airBnb,
    google: index_google_1.google,
    standard: index_standard_1.standard,
    js: eslint_js_1.default,
    ts: eslint_ts_1.default,
    babel: eslint_babel_1.default,
    jsPretty: eslint_prettier_js_1.default,
    tsPretty: eslint_prettier_ts_1.default,
    babelPretty: eslint_prettier_babel_1.default,
};
exports.default = esLint;
