"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jestConfig = exports.mochaChaiESFile = exports.mochaChaiCommonFile = exports.jestESFile = exports.jestCommonFile = exports.babelConfig = exports.eslintIgnore = exports.prettierIgnore = exports.prettierConfig = exports.dotenvFile = exports.dotenvCommonFile = exports.dotenvESFile = exports.defaultTsFile = exports.defaultBabelFile = exports.defaultJsFile = void 0;
exports.defaultJsFile = 'const n = 5;\nconsole.log(n);\nmodule.exports = n;\n';
exports.defaultBabelFile = 'export const n = 5;\nconsole.log(n);\n';
exports.defaultTsFile = 'export const n: number = 5;\nconsole.log(n);\n';
exports.dotenvESFile = "import 'dotenv/config';\nconsole.log(process.env.MSG);\n";
exports.dotenvCommonFile = "require('dotenv').config();\nconsole.log(process.env.MSG);\n";
exports.dotenvFile = 'MSG=HelloWorld';
exports.prettierConfig = '{\n\t"singleQuote": true\n}';
exports.prettierIgnore = '/node_modules/\n/out/\n/dist/\n/build/**\n/coverage/**\n/templates/**\n/__tests__/**\n.eslintrc.js\n';
exports.eslintIgnore = '/node_modules/\n/out/\n/dist/\n/build/**\n/coverage/**\n/templates/**\n/__tests__/**\n';
exports.babelConfig = '{\n\t "presets": ["@babel/preset-env"]\n}';
exports.jestCommonFile = "const n = require('../src/index');\ntest('n is equal 5', () => {\n  expect(n).toBe(5);\n});";
exports.jestESFile = "import { n } from '../src/index';\ntest('n is equal 5', () => {\n  expect(n).toBe(5);\n});";
exports.mochaChaiCommonFile = "const n = require('../src/index');\nconst expect = require('chai').expect;\n\ndescribe('Number', () => {\n  it('should be 5', () => {\n    expect(n).to.be.equal(5);\n  });\n});";
exports.mochaChaiESFile = "import { n } from'../src/index';\nimport { expect } from 'chai';\n\ndescribe('Number', () => {\n  it('should be 5', () => {\n    expect(n).to.be.equal(5);\n  });\n});";
exports.jestConfig = "module.exports = {\n\ttestEnvironment: 'node'\n};";
